fmt_long(3)

NAME
fmt_long - write an ASCII representation of a long integer

SYNTAX
#include <libowfat/fmt.h>

size_t fmt_long(char *dest,long source);

DESCRIPTION
fmt_long writes an ASCII representation ('-' and '0' to '9', base 10) of source to dest and returns the number of bytes written.

fmt_long does not append \0.

If dest equals FMT_LEN (i.e. is zero), fmt_long returns the number of bytes it would have written.

For convenience, fmt.h defines the integer FMT_LONG to be big enough to contain every possible fmt_long output plus \0.

SEE ALSO
scan_long(3)